## cdbackup-0.7.0.tar.bz2

=== Makefile ===
# compiler selection and options
CC       = gcc
CFLAGS   = -g -O2 -Wall
DEPFLAGS = -MM -MG

# install location
DESTDIR=
PREFIX=$(DESTDIR)/usr
BINDIR=$(PREFIX)/bin
MANDIR=$(PREFIX)/man

###############################################

TARGETS = cdbackup cdrestore
VERSION = $(shell grep 'define VERSION' version.h | awk '{ print $$3 }' | sed -e 's/["]//g')
ARCHIVE = cdbackup-$(VERSION)
DEPFILE = .dependencies
TMPDIR  = /tmp

all: $(TARGETS)

%.o: %.c
	$(CC) $(CFLAGS) -c $< -o $@

$(DEPFILE): Makefile
	@$(CC) $(DEPFLAGS) cdbackup.c cdrestore.c cdrom.c virtual.c misc.c > $@

include $(DEPFILE)

cdbackup: cdbackup.o cdrom.o virtual.o virtual-backup.o misc.o
	$(CC) $(CFLAGS) -o $@ $^

cdrestore: cdrestore.o cdrom.o virtual.o misc.o
	$(CC) $(CFLAGS) -o $@ $^

strip: $(TARGETS)
	strip $(TARGETS)

clean:
	rm -f $(TARGETS) $(DEPFILE) cdbackup-*.tar.gz core *.core *.o

dist: clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(ARCHIVE).tar.gz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(ARCHIVE).tar.gz

install:
	install -d $(BINDIR)
	install $(TARGETS) $(BINDIR)
#	install -d $(MANDIR)/man1
#	gzip -c cdbackup.1 >$(MANDIR)/man1/cdbackup.1.gz
#	gzip -c cdrestore.1 >$(MANDIR)/man1/cdrestore.1.gz

=== debian/changelog ===
cdbackup (0.7.0-2) unstable; urgency=low

  * Bumped to Standards-Version: 3.7.2.
  * Fixed typos in description - closes: #363194

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sat, 14 Oct 2006 13:09:59 +0900

cdbackup (0.7.0-1) unstable; urgency=low

  * New upstream release - closes: #274731
  * Removed tar from Recommends, since tar is an essential package (and lintian grumbles about it).

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Thu, 10 Mar 2005 21:43:10 +0900

cdbackup (0.6.3-3) unstable; urgency=low

  * [control] changed Maintainer field.
  * Bumped to Standards-Version: 3.6.1.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sat, 14 Feb 2004 17:02:10 +0900

cdbackup (0.6.3-2) unstable; urgency=low

  * New maintainer - closes: #200310
  * Fixed a typo in cdrestore.1 - closes: #180279
  * Bumped to Standard-Version: 3.5.10

 -- Masayuki Hatta <mhatta@debian.org>  Tue,  8 Jul 2003 13:13:39 +0900

cdbackup (0.6.3-1) unstable; urgency=low

  * New upstream release

 -- Adam Byrtek <alpha@debian.org>  Sun,  6 Oct 2002 20:25:53 +0200

cdbackup (0.6.2-3) unstable; urgency=low

  * Priority changed (from optional to extra) Closes: #145126

 -- Adam Byrtek <alpha@debian.org>  Tue, 30 Apr 2002 13:01:49 +0200

cdbackup (0.6.2-2) unstable; urgency=low

  * Minor fixes...

 -- Adam Byrtek <alpha@debian.org>  Tue,  9 Apr 2002 14:10:13 +0200

cdbackup (0.6.2-1) unstable; urgency=low

  * New upstream release
  * Now media >2GB are supported. Commandline options for padsize and
    CDROM XA2 mode have been added. Man pages have been added.
  * Closes: #138811

 -- Adam Byrtek <alpha@debian.org>  Tue,  9 Apr 2002 00:09:01 +0200

cdbackup (0.6.1-2) unstable; urgency=low

  * Manpages included (thanks to Stefan Frank)

 -- Adam Byrtek <alpha@debian.org>  Fri,  1 Mar 2002 15:28:39 +0100

cdbackup (0.6.1-1) unstable; urgency=low

  * New upstream release

 -- Adam Byrtek <alpha@debian.org>  Sun, 24 Feb 2002 16:59:41 +0100

cdbackup (0.6.0-1) unstable; urgency=low

  * Initial Release
  * Closes #118147 (request for package)

 -- Adam Byrtek <alpha@debian.org>  Sun, 24 Feb 2002 14:38:21 +0100

=== debian/control ===
Source: cdbackup
Section: admin
Priority: extra
Maintainer: Masayuki Hatta (mhatta) <mhatta@debian.org>
Build-Depends: debhelper (>> 4.0.0)
Standards-Version: 3.7.2

Package: cdbackup
Architecture: any
Depends: ${shlibs:Depends}, cdrecord
Recommends: cpio | dump
Description: CD-R(W) backup utility
 cdbackup and cdrestore are a pair of utilities designed to facilitate
 streaming backup to and from CD-R(W) disks.  Specifically, they were
 designed to work with dump/restore, but tar/cpio/whatever you want should
 work, so long as it writes to stdout for backups and reads from stdin for
 restores.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=4

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/cdbackup


# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installchangelogs CHANGES
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
